Subject: Re: bug#73037: 31.0.50; fullscreen tooltips break after loading pdf-tools on MacOS

From: Eli Zaretskii <[email-masked]>
Date: Wed, 18 Sep 2024 18:50:08 +0300

> From: Paul Nelson <[email-masked]>
> Date: Wed, 18 Sep 2024 15:50:47 +0200
> Cc: [email-masked]
> 
> Having followed up with pdf-tools, the issue with Emacs is:
> 
>   when use-system-tooltips is nil, on macOS, with fullscreen Emacs,
> (tooltip-show "hi") creates a new fullscreen frame.
> 
> I've tested this on both Emacs 29.4 and a recent master, with Emacs
> -Q.  Please let me know if I should report a fresh bug for this, or
> leave it here.
> 
> ---
> 
> To make matters even more confusing, the issue does not present if I
> run emacs from the src folder (rather than the app folder), even
> though the executables are the same:
> 
>   cmp -s ~/gnu-emacs/src/emacs
> ~/gnu-emacs/nextstep/Emacs.app/Contents/MacOS/Emacs
> 
> I don't know what to make of this, and I've tried what I could think
> of ("make clean", deleting eln-cache).  Any other suggestions would be
> welcome.

Thanks, I guess some macOS expert will have to look into this.